%define module_version 1.0
%define module_name RTx-BecomeUser
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0
Release: alt1
Summary: Become any user
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AB/ABCDEFGH/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This RT extension provides a web interface for becoming any user i.e simulating
logging in as any other user other than yourself. This privilege is provided only
to the users with SuperUser privilege. 

After installation, log in as superuser, and click on Configuration->Tools->Become User,
choose the user you want to become from the list and click submit. It will redirect you
to the home page with logged on user as the user you selected.


%prep
%setup -n %module_name

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.txt
%perl_vendor_privlib/R*

%changelog
* Thu May 01 2014 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1
- initial import by package builder

